/* ----------------------------------------------------------------------
   canny.h

   Header file for canedge.c

   Modified from canedge.h by Baback Moghaddam (11/15/94)

---------------------------------------------------------------------- */


#define CANNY_SIGMA_DEF 1.0
#define CANNY_PASSES_DEF 30
#define CANNY_H_PERC_DEF 30.0
#define CANNY_THR_FACTOR 0.5
#define MAX_FILENAME_CHAR 500
#define CUTOFF .001
#define MAX_GAUSS 100

#define WORKSIZE 1024
#define HISTOGRAM_SIZE 10000

#define MAGIC_SCALE_FACTOR 3.7

#define v1 img_array[row][(col + 1)]      
#define v2 img_array[(row - 1)][(col + 1)]
#define v3 img_array[(row - 1)][col]
#define v4 img_array[(row - 1)][(col - 1)]
#define v5 img_array[row][(col - 1)]
#define v6 img_array[(row + 1)][(col - 1)]
#define v7 img_array[(row + 1)][col]
#define v8 img_array[(row + 1)][(col + 1)]
#define V  img_array[row][col]
#define xd xdir[row][col]
#define yd ydir[row][col]



/* ---------------------- function prototypes ------------------- */

void convert_1f_to_0f(float **in, float **out, int nrow, int ncol);

void convert_0c_to_1uc(char **in, unsigned char **out,
		       int nrow, int ncol);

void convert_0f_to_1uc(float **in, unsigned char **out,
		       int nrow, int ncol);


void print_documentation(float s, float h, float l, int i);

void parse_options(int argc, char *argv[], 
		   float *s, float *h, float *l, int *i, 
		   char *indir, char *line_outdir, char *mag_outdir);

float convert(char i);

float fconv(register float *x, register float *y, register int n);

void scaler(float **f_array, int vert_size, int horiz_size);

void magedges(float **imgarray, char **edgearray, int vert_size, int horiz_size);

void threshold(float **mag, char **edges, 
	  float hthreshold, float thresfactor, int passes, 
	  char **low, char **wk_space,
	  int vert_size, int horiz_size);


void grow(char **r_array, char **chk_array, char **w_array,
     int vert_size, int horiz_size);

float find_thres(float **xdir, float **ydir, float percentile,
		 float **h_val, int vert_size, int horiz_size);

void gradmax(float **img_array, float **xdir, float **ydir, char **edges,
	int vert_size, int horiz_size);

void gsmooth(float **img_array, float sigma, int vert_size, int horiz_size);



