%% 
%% This is file `chi96.cls', generated 
%% on <1997/9/9> with the docstrip utility (2.2i).
%% 
%% The original source files were:
%% 
%% chi96.dtx  (with options: `chi96')
%% 
%% Copyright 1995 Thomas Schulze and the individual authors. 
%% All rights reserved. For further copyright information see the file 
%% readme.txt, and any other copyright indicated in this file. 
%% 
%% This file is part of the LaTeX2e CHI 96 class. 
%% ---------------------------------------------- 
%% 
%% The CHI 96 class bases on the standard documents classes created 
%% by the LaTeX3-Team 1994-1995. 
%% ------------------------------------------------------------- 
%% 
%% This system is distributed in the hope that it will be useful, 
%% but WITHOUT ANY WARRANTY; without even the implied warranty of 
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
%% 
%% 
%% IMPORTANT NOTICE: 
%% 
%% For error reports in case of UNCHANGED versions see documentation. 
%% 
%% Please do not request updates from us directly. Distribution is 
%% done through CHI's WWW Pages. 
%% 
%% You are not allowed to change this file. 
%% 
%% You are allowed to distribute this file under the condition that 
%% it is distributed together with all files mentioned in readme.txt 
%% and liesmich.txt. 
%% 
%% If you receive only some of these files from someone, complain! 
%% 
%% You are NOT ALLOWED to distribute this file alone. You are NOT 
%% ALLOWED to take money for the distribution or use of either this 
%% file or a changed version, except for a nominal charge for copying 
%% etc. 
%% 
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}[1995/06/01]
\ProvidesClass{chi96}
              [1995/11/14 1.1 CHI 96
                       document class]
\newif\if@multicols
\@multicolsfalse
\DeclareOption{multicols}{
 \@multicolstrue}
\newif\if@psfonts
\@psfontsfalse
\DeclareOption{psfonts}{
 \@psfontstrue}
\DeclareOption{11pt}{\ClassWarning{chi96}{%
  CHI 96 does not allow the use of fonts in size 11pt.\MessageBreak
  We will continue with size 10pt.}}
\DeclareOption{12pt}{\ClassWarning{chi96}{%
  CHI 96 does not allow the use of fonts in size 12pt.\MessageBreak
  We will continue with size 10pt.}}
\DeclareOption{titlepage}{\Classwarning{chi96}{%
  CHI 96 does not allow the use of a separate titlepage.\MessageBreak
  We will ignore your request.}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ExecuteOptions{letterpaper,final}
\ProcessOptions
\if@multicols
 \LoadClass[10pt]{article}
\else
 \LoadClass[10pt,twocolumn]{article}
\fi
\if@multicols
 \RequirePackage{multicol}
 \AtBeginDocument{\maketitle\begin{multicols}{2}}
 \AtEndDocument{\end{multicols}}
\fi
\if@psfonts
 \RequirePackage{times}
\fi
\newcommand\TLARGE{\@setfontsize\LARGE{18}{24}}
\pagestyle{empty}
\parindent0pt
\setlength\parskip{\p@ \@plus \p@}
\setlength\topsep{0pt}
\setlength\partopsep{0pt}
\setlength\parsep{0pt}
\setlength\itemsep{0pt}
\setlength{\textwidth}{7in}% aka 18cm
\@settopoint\textwidth
\setlength{\columnsep}{.32in}% aka .81cm
\setlength{\textheight}{9.25in}% aka 23.5cm
\let\thepage\relax
\setlength{\headheight}{0in}
\setlength{\headsep}{0in}
\setlength{\footskip}{0in}
\setlength\@tempdima        {\paperwidth}
\addtolength\@tempdima      {-7in}
\setlength\oddsidemargin    {.5\@tempdima}
\addtolength\oddsidemargin  {-1in}
\setlength\topmargin{.75in}
\addtolength\topmargin{-1in}

\setcounter{secnumdepth}{0}
\renewcommand\section{\@startsection{section}{1}{\z@}%
                                   {-2ex \@plus -.1ex \@minus -.1ex}%
                                   {.1ex \@minus .1ex}%
                                   {\normalfont\normalsize\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{1}{\z@}%
                                     {-2ex \@plus -.1ex \@minus -.1ex}%
                                     {.1ex \@minus .1ex}%
                                     {\normalfont\normalsize\bfseries}}
\renewcommand\subsubsection{\@startsection{subsubsection}{1}{0pt}%
                                     {-2ex \@plus -.1ex \@minus -.1ex}%
                                     {.1ex \@minus .1ex}%
                                     {\normalfont\normalsize\itshape}}
\def\@maketitle{%
  \newpage
  \null
  \begin{center}%
    {\TLARGE\bfseries \@title \par}%
    \vskip 3em%
    {\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
  \end{center}%
  \par
  \vskip 0.5em}
\renewcommand{\refname}{REFERENCES}
\renewcommand*{\@biblabel}[1]{#1\hfill}
\endinput
%% 
%% End of file `chi96.cls'.
